summaryrefslogtreecommitdiffstats
path: root/maven/projects/nativewindow
diff options
context:
space:
mode:
Diffstat (limited to 'maven/projects/nativewindow')
-rw-r--r--maven/projects/nativewindow/atomics1
-rw-r--r--maven/projects/nativewindow/dummy-jar1
-rw-r--r--maven/projects/nativewindow/natives1
-rw-r--r--maven/projects/nativewindow/pom.in75
-rwxr-xr-xmaven/projects/nativewindow/pom.sh37
-rw-r--r--maven/projects/nativewindow/source-zip1
6 files changed, 116 insertions, 0 deletions
diff --git a/maven/projects/nativewindow/atomics b/maven/projects/nativewindow/atomics
new file mode 100644
index 0000000..d02423b
--- /dev/null
+++ b/maven/projects/nativewindow/atomics
@@ -0,0 +1 @@
+ awt core os-osx os-win os-x11
diff --git a/maven/projects/nativewindow/dummy-jar b/maven/projects/nativewindow/dummy-jar
new file mode 100644
index 0000000..94e337a
--- /dev/null
+++ b/maven/projects/nativewindow/dummy-jar
@@ -0,0 +1 @@
+dummy-jar
diff --git a/maven/projects/nativewindow/natives b/maven/projects/nativewindow/natives
new file mode 100644
index 0000000..0d307de
--- /dev/null
+++ b/maven/projects/nativewindow/natives
@@ -0,0 +1 @@
+atomic-natives
diff --git a/maven/projects/nativewindow/pom.in b/maven/projects/nativewindow/pom.in
new file mode 100644
index 0000000..4a4f31f
--- /dev/null
+++ b/maven/projects/nativewindow/pom.in
@@ -0,0 +1,75 @@
+ <!-- nativewindow/pom.in -->
+
+ <licenses>
+ <license>
+ <name>BSD-2 License</name>
+ <url>http://www.opensource.org/licenses/BSD-2-Clause</url>
+ </license>
+ <license>
+ <name>BSD-3 License</name>
+ <url>http://www.opensource.org/licenses/BSD-3-Clause</url>
+ </license>
+ <license>
+ <name>SGI Free Software License B</name>
+ <url>http://oss.sgi.com/projects/FreeB</url>
+ </license>
+ <license>
+ <name>Apache License Version 2.0</name>
+ <url>http://www.apache.org/licenses/LICENSE-2.0</url>
+ </license>
+ <license>
+ <name>Apache License Version 1.1</name>
+ <url>http://www.apache.org/licenses/LICENSE-1.1</url>
+ </license>
+ <license>
+ <name>Ubuntu Font Licence 1.0</name>
+ <url>http://font.ubuntu.com/ufl/ubuntu-font-licence-1.0.txt</url>
+ </license>
+ </licenses>
+
+ <scm>
+ <url>http://jogamp.org/git/?p=jogl.git/</url>
+ <connection>scm:git:http://jogamp.org/git/jogl.git/</connection>
+ <developerConnection>scm:git:http://jogamp.org/git/jogl.git/</developerConnection>
+ </scm>
+
+ <developers>
+ <developer>
+ <id>sgothel</id>
+ <name>Sven Gothel</name>
+ <email>[email protected]</email>
+ <url>http://blog.jausoft.com</url>
+ </developer>
+ </developers>
+
+ <issueManagement>
+ <url>http://jogamp.org/bugzilla/</url>
+ <system>Bugzilla</system>
+ </issueManagement>
+
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-gpg-plugin</artifactId>
+ <version>1.4</version>
+ <executions>
+ <execution>
+ <id>sign-artifacts</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>sign</goal>
+ </goals>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-ssh</artifactId>
+ <version>2.4</version>
+ </extension>
+ </extensions>
+ </build>
+
diff --git a/maven/projects/nativewindow/pom.sh b/maven/projects/nativewindow/pom.sh
new file mode 100755
index 0000000..e4ceda0
--- /dev/null
+++ b/maven/projects/nativewindow/pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by nativewindow.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>nativewindow</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL</name>
+ <description>Java™ Binding for the OpenGL® API (Native window atomic jar files)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+EOF
+
+cat pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/nativewindow/source-zip b/maven/projects/nativewindow/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/nativewindow/source-zip
@@ -0,0 +1 @@
+dummy-src